Get orders
curl --request GET \
--url https://api.sx.bet/orders{
"status": "success",
"data": [
{
"marketHash": "0x09a68f49e98028f58b3620e8e57f203c0f314278f8e1fa3935d7e139cfbaef7a",
"fillAmount": "0",
"pendingFillAmount": "0",
"orderHash": "0x55eb16b32b5999e7bb67f995d5168b2569bbf6eeb7049a28687b41ea900d6529",
"maker": "0x740d5718a79A8559fEeE8B00922F8Cd773A81D84",
"totalBetSize": "542187500",
"percentageOdds": "86750000000000000000",
"baseToken": "0x6629Ce1Cf35Cc1329ebB4F63202F3f197b3F050B",
"executor": "0x52adf738AAD93c31f798a30b2C74D658e1E9a562",
"salt": "0x5762782b288e9be9899c7664e9695247d180828783c8254bb53f56cb765eb2b3",
"isMakerBettingOutcomeOne": false,
"signature": "0xd0de402bddd95bb2dba21ef721143461dab5fa26461aa3cf6d31335cd7848af153c2fa604bfeab796e4859f4678919d2c76c53eed49bfbc5c337fd6982aaa78c1b",
"expiry": 2209006800,
"apiExpiry": 1773511660,
"sportXeventId": "L18272453",
"orderStatus": "ACTIVE"
}
]
}Orders
Active orders
Query active orders on the SX Bet orderbook. Filter by market hash, maker address, or token.
GET
/
orders
Get orders
curl --request GET \
--url https://api.sx.bet/orders{
"status": "success",
"data": [
{
"marketHash": "0x09a68f49e98028f58b3620e8e57f203c0f314278f8e1fa3935d7e139cfbaef7a",
"fillAmount": "0",
"pendingFillAmount": "0",
"orderHash": "0x55eb16b32b5999e7bb67f995d5168b2569bbf6eeb7049a28687b41ea900d6529",
"maker": "0x740d5718a79A8559fEeE8B00922F8Cd773A81D84",
"totalBetSize": "542187500",
"percentageOdds": "86750000000000000000",
"baseToken": "0x6629Ce1Cf35Cc1329ebB4F63202F3f197b3F050B",
"executor": "0x52adf738AAD93c31f798a30b2C74D658e1E9a562",
"salt": "0x5762782b288e9be9899c7664e9695247d180828783c8254bb53f56cb765eb2b3",
"isMakerBettingOutcomeOne": false,
"signature": "0xd0de402bddd95bb2dba21ef721143461dab5fa26461aa3cf6d31335cd7848af153c2fa604bfeab796e4859f4678919d2c76c53eed49bfbc5c337fd6982aaa78c1b",
"expiry": 2209006800,
"apiExpiry": 1773511660,
"sportXeventId": "L18272453",
"orderStatus": "ACTIVE"
}
]
}Rate limit: All
GET /orders/* endpoints share a combined limit of 5,500 requests/min. See Rate Limits.One of
marketHashes or maker is required.Only one of
marketHashes and sportXeventId can be present.Note that
totalBetSize, fillAmount, and pendingFillAmount are from the
perspective of the market maker. totalBetSize can be thought of as the
maximum amount of tokens the maker will be putting into the pot if the order
was fully filled. fillAmount can be thought of as how many tokens the maker
has already put into the pot. pendingFillAmount can be thought of as how
many tokens the maker has pending in accepted fills that are not yet included
in fillAmount. To compute how much space there is left from the taker’s
perspective while accounting for pending fills, you can use the formula
remainingTakerSpace = (totalBetSize - fillAmount - pendingFillAmount) * 10^20 / percentageOdds - (totalBetSize - fillAmount - pendingFillAmount)Query Parameters
Only get orders for these market hashes. Comma separated.
Only get orders denominated in this base token
Only get orders for this market maker
Only get orders for this event ID
Only get orders for these order hashes. Comma separated.
Which page to query for paginated queries, min 0
How many per page for paginated queries, max 1000
Which field to sort by
Available options:
fill_amount, total_bet_size, percentage_odds, api_expiry, created_at, updated_at Sort direction, default: true
Last modified on May 13, 2026
⌘I
